アップグレード後に一部のドメインにアクセスできません。"Unable to find service node for web service on domain with id" というエラーが発生します。アップグレード前にドメインのホスティングが破損していたことが原因です。

  • Plesk 10.4 for Linux
  • Plesk 11.0 for Linux
  • Plesk 11.5 for Linux
  • Plesk 10.x and below for Linux
  • MT:84daecdc01c0810fe7fda5b5d4971d4f
  • MT:b7baeda43949fa7b4d29bce267d0fbe9
  • MT:67a2bd9873d171de81d774f8e191e0c0
  • MG:7c2ab2377c6f593211e63f9eeb108e0a

2016-11-16 12:50:36 UTC

2017-02-13 06:13:58 UTC

0


リクエストを送信

アップグレード後に一部のドメインにアクセスできません。"Unable to find service node for web service on domain with id" というエラーが発生します。アップグレード前にドメインのホスティングが破損していたことが原因です。

症状

アップグレード作業後に、一部のドメインが使用できなくなり、以下のエラーメッセージが表示されます。

Internal error: Unable to find service node for web service on domain with id=10
Message Unable to find service node for web service on domain with id=10
File PhDomainBase.php
Line 795
Type PleskDBException

アップグレードログ /tmp/autoinstaller3.log に、以下のエラーメッセージが表示されます。

Error: SQLSTATE[23000]: Integrity constraint violation: 1048 Column 'ipAddressId' cannot be null

または

Cannot update web domain services information. Please run /usr/local/psa/admin/plib/scripts/upgrade_web_domain_services_1010.php manually.

原因

ウェブサービスのアップグレードスクリプトが、アップグレード前に存在したデータベース不整合(ホスティングするドメインに対応するレコードが hosting または forwarding テーブルにない)が原因で失敗しました。通常これは、このドメインがアップグレード前から使用不可であったことを意味します。

解決策

スクリプトを手動で起動して、エラーについて詳細情報を確認してください。

/opt/psa/bin/sw-engine-pleskrun /opt/psa/admin/plib/scripts/upgrade_web_domain_services_1010.php

ご質問がある場合、 Plesk テクニカルサポート までお問い合わせください。

他にご質問がございましたら、リクエストを送信してください
ログインしてコメントを残してください。